Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PageDefinitionControl

All Superinterfaces
  Serializable

    public interface PageDefinitionControl

extends Serializable

A custom control interface used to interact with PageDefinitions.

Method Summary
`void` | `addPlaceableToPageDefinition(com.bea.netuix.application.identifier.PlaceableDefinitionId placeableId, int placeholder, int position, com.bea.netuix.application.identifier.PageDefinitionId pageId, com.bea.portal.tools.common.ResourceContext context)` Adds an existing book or portlet to the specified page definition.
`com.bea.netuix.application.definition.PageDefinition` | `createPageDefinition(String title, String description, com.bea.netuix.application.identifier.LayoutDefinitionId layoutId, boolean isPublic, String webapp, com.bea.portal.tools.common.ResourceContext context)` The method is used to create a page definition.
`void` | `deletePageDefinition(com.bea.netuix.application.identifier.PageDefinitionId id, boolean cascadeDelete, com.bea.portal.tools.common.ResourceContext context)` Deletes a PageDefinition This method attempts to clean up all related security policies on the deleted Page.
`com.bea.netuix.application.definition.PageDefinition` | `getPageDefinition(com.bea.netuix.application.identifier.PageDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Get a specific page definition object.
`com.bea.netuix.application.definition.PageDefinition` | `getPageDefinition(String definitionLabel, String webAppName, com.bea.portal.tools.common.ResourceContext context)` Getter for returning a single `PageDefinition` object given a supplied page definition label.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.PageDefinition>` | `getPageDefinitions(int pageSize, com.bea.netuix.application.search.PageSearchCriteria criteria, com.bea.portal.tools.common.ResourceContext context)` Gets an Iterator of page definitions.
`com.bea.netuix.application.view.PageView` | `getPageView(com.bea.netuix.application.identifier.PageDefinitionId id, com.bea.portal.tools.common.ResourceContext context)` Gets a deep immutable view of a page view.
`com.bea.netuix.application.view.PageView` | `getPageView(String definitionLabel, String webAppName, com.bea.portal.tools.common.ResourceContext context)` Returns the `PageView` of the specified page.
`boolean` | `isPlaceholderLocked(int placeholder, com.bea.netuix.application.identifier.PageDefinitionId pageId, String webApp, com.bea.portal.tools.common.ResourceContext context)` Returns true if the placeholder has an update security policy on it.
`void` | `movePlaceableInPageDefinition(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId, int placeholder, int position, com.bea.netuix.application.identifier.PageDefinitionId pageId, com.bea.portal.tools.common.ResourceContext context)` Used to change the position of a book or portlet in a page.
`void` | `removePlaceableFromPageDefinition(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId, com.bea.netuix.application.identifier.PageDefinitionId pageId, com.bea.portal.tools.common.ResourceContext context)` Removes a book or portlet from a page definition.
`void` | `removePlaceholderLock(int placeholder, com.bea.netuix.application.identifier.PageDefinitionId pageId, String webApp, com.bea.portal.tools.common.ResourceContext context)` Removes the update security policy on a placeholder.
`void` | `setPlaceholderLock(int placeholder, com.bea.netuix.application.identifier.PageDefinitionId pageId, String webApp, com.bea.portal.tools.common.ResourceContext context)` Creates an update secuity policy on a placholder.
`void` | `updatePageDefinitionLayout(com.bea.netuix.application.identifier.LayoutDefinitionId layoutId, com.bea.netuix.application.identifier.PageDefinitionId pageId, com.bea.portal.tools.common.ResourceContext context)` Updates the layout of the page definition.
`void` | `updatePageDefinitionTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId, com.bea.netuix.application.identifier.PageDefinitionId pageId, com.bea.portal.tools.common.ResourceContext context)` Updates the page definition's theme.

Method Detail

### getPageDefinitions

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.netuix.application.definition.PageDefinition> getPageDefinitions(int pageSize,
                                                                                                                                   com.bea.netuix.application.search.PageSearchCriteria criteria,
                                                                                                                                   com.bea.portal.tools.common.ResourceContext context)
                                                                                                                                   throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets an Iterator of page definitions.

  Parameters
    `pageSize` - The max size of one page in the result set.
    `criteria` - the criteria to use in the search, including web application name.
    `context` - the resource context
  Returns
    A PagedResult of PageDefinitions.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPageDefinition

    com.bea.netuix.application.definition.PageDefinition getPageDefinition(com.bea.netuix.application.identifier.PageDefinitionId id,
                                                                           com.bea.portal.tools.common.ResourceContext context)
                                                                           throws com.bea.portal.tools.common.exceptions.ToolsException

  Get a specific page definition object.

  Parameters
    `id` - the ID of the page definition to retrieve
    `context` - the resource context
  Returns
    A PageDefinition object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPageDefinition

    com.bea.netuix.application.definition.PageDefinition getPageDefinition(String definitionLabel,
                                                                           String webAppName,
                                                                           com.bea.portal.tools.common.ResourceContext context)
                                                                           throws com.bea.portal.tools.common.exceptions.ToolsException

  Getter for returning a single `PageDefinition` object given a supplied page definition label.

  Parameters
    `definitionLabel` - the unique page definition identifier.
    `webAppName` - the webapp this page is scoped to.
    `context` - the resource context.
  Returns
    a `PageDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
  See Also
    `PageDefinition`

### getPageView

    com.bea.netuix.application.view.PageView getPageView(com.bea.netuix.application.identifier.PageDefinitionId id,
                                                         com.bea.portal.tools.common.ResourceContext context)
                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Gets a deep immutable view of a page view.

  Parameters
    `id` - the ID of the page definition to retrieve a view of
    `context` - the resource context
  Returns
    A PageView object.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### getPageView

    com.bea.netuix.application.view.PageView getPageView(String definitionLabel,
                                                         String webAppName,
                                                         com.bea.portal.tools.common.ResourceContext context)
                                                         throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns the `PageView` of the specified page. BookView's include the object's children unlike instances and definitions.

  Parameters
    `definitionLabel` - the unique page definition identifier.
    `webAppName` - the webapp this page is scoped to.
    `context` - the resource context.
  Returns
    a PageView object. (immutable "deep" view of a page)
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### deletePageDefinition

    void deletePageDefinition(com.bea.netuix.application.identifier.PageDefinitionId id,
                              boolean cascadeDelete,
                              com.bea.portal.tools.common.ResourceContext context)
                              throws com.bea.portal.tools.common.exceptions.ToolsException,
                                     com.bea.netuix.application.exception.NotEntitledException,
                                     com.bea.netuix.application.exception.ObjectNotFoundException,
                                     com.bea.netuix.application.exception.ObjectInUseException

  Deletes a PageDefinition This method attempts to clean up all related security policies on the deleted Page. To achieve this, the current web app MUST be set in the `ResourceContext` via the setWebApp() method, otherwise a `NoWebAppFoundException` is thrown.

  Parameters
    `id` - the ID of the page to delete
    `cascadeDelete` - True enabled cascading deletes.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`
    `com.bea.netuix.application.exception.ObjectInUseException`

### createPageDefinition

    com.bea.netuix.application.definition.PageDefinition createPageDefinition(String title,
                                                                              String description,
                                                                              com.bea.netuix.application.identifier.LayoutDefinitionId layoutId,
                                                                              boolean isPublic,
                                                                              String webapp,
                                                                              com.bea.portal.tools.common.ResourceContext context)
                                                                              throws com.bea.netuix.application.exception.NotEntitledException,
                                                                                     com.bea.netuix.application.exception.MissingDataException,
                                                                                     com.bea.portal.tools.common.exceptions.ToolsException

  The method is used to create a page definition.

  Parameters
    `title` - The title of the page definition.
    `description` - The description of the page definition.
    `layoutId` - The layout to assign the page definition.
    `isPublic` - true if the page is to be public.
    `webapp` - The webApp assigned to the page.
    `context` - the resource context
  Returns
    The newly created PageDefinition.
  Throws
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.portal.tools.common.exceptions.ToolsException`

### updatePageDefinitionLayout

    void updatePageDefinitionLayout(com.bea.netuix.application.identifier.LayoutDefinitionId layoutId,
                                    com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                    com.bea.portal.tools.common.ResourceContext context)
                                    throws com.bea.portal.tools.common.exceptions.ToolsException,
                                           com.bea.netuix.application.exception.NotEntitledException,
                                           com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the layout of the page definition.

  Parameters
    `layoutId` - The layout id to update
    `pageId` - the ID of the page.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### updatePageDefinitionTheme

    void updatePageDefinitionTheme(com.bea.netuix.application.identifier.ThemeDefinitionId themeId,
                                   com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                   com.bea.portal.tools.common.ResourceContext context)
                                   throws com.bea.portal.tools.common.exceptions.ToolsException,
                                          com.bea.netuix.application.exception.NotEntitledException,
                                          com.bea.netuix.application.exception.ObjectNotFoundException

  Updates the page definition's theme.

  Parameters
    `themeId` - The new theme id.
    `pageId` - the ID of the page.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### addPlaceableToPageDefinition

    void addPlaceableToPageDefinition(com.bea.netuix.application.identifier.PlaceableDefinitionId placeableId,
                                      int placeholder,
                                      int position,
                                      com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                      com.bea.portal.tools.common.ResourceContext context)
                                      throws com.bea.portal.tools.common.exceptions.ToolsException,
                                             com.bea.netuix.application.exception.DuplicateObjectException,
                                             com.bea.netuix.application.exception.IllegalDependencyException,
                                             com.bea.netuix.application.exception.NotEntitledException,
                                             com.bea.netuix.application.exception.MissingDataException,
                                             com.bea.netuix.application.exception.ObjectNotFoundException

  Adds an existing book or portlet to the specified page definition.

  Parameters
    `placeableId` - The id of the book or portlet to add.
    `placeholder` - The index of the placeholder on the page.
    `position` - The position of the placeable within the placeholder.
    `pageId` - the ID of the page to add the placeable to.
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.DuplicateObjectException`
    `com.bea.netuix.application.exception.IllegalDependencyException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.MissingDataException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### isPlaceholderLocked

    boolean isPlaceholderLocked(int placeholder,
                                com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                String webApp,
                                com.bea.portal.tools.common.ResourceContext context)
                                throws com.bea.portal.tools.common.exceptions.ToolsException

  Returns true if the placeholder has an update security policy on it.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Returns
    true if the placholder has an update security policy set.
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`

### setPlaceholderLock

    void setPlaceholderLock(int placeholder,
                            com.bea.netuix.application.identifier.PageDefinitionId pageId,
                            String webApp,
                            com.bea.portal.tools.common.ResourceContext context)
                            throws com.bea.portal.tools.common.exceptions.ToolsException,
                                   com.bea.p13n.entitlements.common.PolicyCreateException,
                                   com.bea.p13n.entitlements.common.PolicyExistsException

  Creates an update secuity policy on a placholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`

### removePlaceholderLock

    void removePlaceholderLock(int placeholder,
                               com.bea.netuix.application.identifier.PageDefinitionId pageId,
                               String webApp,
                               com.bea.portal.tools.common.ResourceContext context)
                               throws com.bea.portal.tools.common.exceptions.ToolsException,
                                      com.bea.p13n.entitlements.common.PolicyRemoveException,
                                      com.bea.p13n.entitlements.common.PolicyNotFoundException

  Removes the update security policy on a placeholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### movePlaceableInPageDefinition

    void movePlaceableInPageDefinition(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId,
                                       int placeholder,
                                       int position,
                                       com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                       com.bea.portal.tools.common.ResourceContext context)
                                       throws com.bea.portal.tools.common.exceptions.ToolsException,
                                              com.bea.netuix.application.exception.NotEntitledException,
                                              com.bea.netuix.application.exception.ObjectNotFoundException

  Used to change the position of a book or portlet in a page.

  Parameters
    `placeableId` - The id of the book or portlet to move.
    `placeholder` - The index of the placeholder on the page.
    `position` - The updated position of the book or portlet
    `pageId` - the ID of the page
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

### removePlaceableFromPageDefinition

    void removePlaceableFromPageDefinition(com.bea.netuix.application.identifier.PlaceableInstanceId placeableId,
                                           com.bea.netuix.application.identifier.PageDefinitionId pageId,
                                           com.bea.portal.tools.common.ResourceContext context)
                                           throws com.bea.portal.tools.common.exceptions.ToolsException,
                                                  com.bea.netuix.application.exception.NotEntitledException,
                                                  com.bea.netuix.application.exception.ObjectNotFoundException

  Removes a book or portlet from a page definition.

  Parameters
    `placeableId` - The id of the book or portlet to remove from a page.
    `pageId` - the ID of the page
    `context` - the resource context
  Throws
    `com.bea.portal.tools.common.exceptions.ToolsException`
    `com.bea.netuix.application.exception.NotEntitledException`
    `com.bea.netuix.application.exception.ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved